import { reactive, ref } from 'vue';
import { RouteRecordDetailRaw } from '~/router/routes';
import request from '~/utils/request';

export const app_ready = ref<boolean>(false)
export const app_routes = ref<RouteRecordDetailRaw[]>([])

export const info_team = reactive({
  team_id: '', team_name: ''
})
export let info_team_id = undefined
request({ url: '/jcxx/team/index', data: { team_current: '1' } }).then(res => {
  const { team_id, team_name } = res.data.page_data[0]
  info_team_id = info_team.team_id = team_id
  info_team.team_name = team_name
})

